<!-- Intro to raw React APIs -->
<!-- http://localhost:3000/isolated/exercise/02.html -->

<body>
  <div id="root"></div>

  <script src="https://unpkg.com/react@17.0.0/umd/react.development.js"></script>
  <script src="https://unpkg.com/react-dom@17.0.0/umd/react-dom.development.js"></script>

  <script type="module">
    const rootElement = document.getElementById('root')

    const reactHelloSpan = React.createElement('span', {
      children: 'Hello',
      key: 'hello'
    })
    const reactWorldSpan = React.createElement('span', {
      children: 'World',
      key: 'world'
    })

    console.log(reactHelloSpan)

    const reactElement = React.createElement('div', {
      className: 'container',
      children: [
        reactHelloSpan,
        ' ',
        reactWorldSpan
      ]
    })

    console.log(reactElement)

    ReactDOM.render(reactElement, rootElement)

  </script>
</body>
